libcoap 4.3.2rc2

Functions
coap_hashkey.c File Reference

Hashkey functions. More...

`#include "coap3/coap_internal.h"`

Go to the source code of this file.

## Functions
void | coap_hash_impl (const unsigned char *s, size_t len, coap_key_t h)
| Calculates a fast hash over the given string `s` of length `len` and stores the result into `h`. More...

## Detailed Description

Hashkey functions.

Definition in file coap_hashkey.c.

## Function Documentation

## ◆ coap_hash_impl()

void coap_hash_impl | ( | const unsigned char * | s,
|  | size_t | len,
|  | coap_key_t | h
| ) |  |

Calculates a fast hash over the given string `s` of length `len` and stores the result into `h`.

Depending on the exact implementation, this function cannot be used as one-way function to check message integrity or simlar.

Parameters

  s | The string used for hash calculation.
  len | The length of `s`.
  h | The result buffer to store the calculated hash key.

Definition at line 19 of file coap_hashkey.c.